import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading ZebraDarknessToPercent_Neg100To200 Converter")

class ZebraDarknessToPercent_Neg100To200(Converter):

	def Execute(self, myList = [], *args):

		val = 0

		try:
			val = int(myList[0])
		except ValueError:
			return val

		return round((((val+100) * 99) / 300) + 1)




plugin = ZebraDarknessToPercent_Neg100To200("ZebraDarknessToPercent_Neg100To200")

store.AddConverter(plugin)